aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2017-03-01 08:07:39 +0200
committerLiang Qi <liang.qi@qt.io>2017-03-15 13:21:40 +0000
commitb14198730d4b558d54ac4a972b4d203d2866959a (patch)
tree08a6e653e62c8d3cc65513b590640f075eaa629f /coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
parent88e87fe7d372e83ed7642617600d192282a9ce5b (diff)
Remove command line tools from macOS 10.11 and 10.12
Qt should not require command line tools to be installed. When they are installed, we can accidentally rely on on the tools instead of sysroot. Task-number: QTBUG-58325 Change-Id: I9ad942c6f67e4c1b7348258a9178ab497ee58800 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh')
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh b/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
index dc02ae14..44453e55 100755
--- a/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/020-xcode.sh
@@ -52,6 +52,7 @@ ExceptionSHA1=101
ExceptionUnXZ=102
ExceptionCPIO=103
ExceptionDelete=104
+ExceptionAcceptLicense=105
url=http://ci-files01-hki.ci.local/input/mac/Xcode_8.2.xz
@@ -75,6 +76,9 @@ try
echo "Deleting '${targetFile%.*}'"
rm "${targetFile%.*}" || throw $ExceptionDelete
+ echo "Accept license"
+ sudo xcodebuild -license accept || throw $ExceptionAcceptLicense
+
echo "Xcode = 8.2" >> ~/versions.txt
)
catch || {
@@ -99,6 +103,10 @@ catch || {
echo "Failed to delete temporary file."
exit 1;
;;
+ $ExceptionAcceptLicense)
+ echo "Failed to accept license."
+ exit 1;
+ ;;
esac
}